Author Topic: PSP - Prepping to play mods  (Read 1259 times)

xDisciplex

  • Guest
PSP - Prepping to play mods
« on: July 06, 2007, 10:43am »
In order to do any of these mods you need a hacked PSP.

There is an exploit where you can downgrade your PSP from 3.5 to 1.5, then back up to 3.40 Open Edition - A, which is what I have, basically that allows you to run homebrew (such as old game emulators like Nintendo, Super Nintendo, etc.) and it also allows you to make back up copies of your game in ISO form and load that on your memory card.  For this newest exploit/downgrade from 3.5 to 1.5 you need a copy of Lumines from the US or Europe, I don't think the Japanese versions work yet.  But that game is getting hard to find w/ the new found exploit - so check if a friend has a copy you could borrow.

But there is alot you need to do to your PSP to get it to do that with the above steps.  But you have to be VERY careful and read all the steps when you find a site that has the downgrading and upgrade instructions - or you can brick your PSP, basically rendering it useless and it won't turn back on.

I've downgraded 3 PSP systems so far and have never had anything bad happen, but I was careful to read all the directions and double check all my files needed for transfering before I began and double checked everything before I executed the steps.

Check out www.psp-vault.com  go to forums link on left and then to latest posts there should be a post there about downgrading 3.5 firmware.

Once you do some research - check out this site, this is a good one for instructions once you downgrade from 1.5 and updating it to the 3.40 OE- A firmware, which I currently run:

http://forums.qj.net/f-psp-firmware-discussion-253/t-official-303-oe-c-installation-guide-faq-and-support-thread-84905.html

This isn't the easiest or the hardest things to do, but it can be done - I've done it multiple times - you just have to be careful in doing it!
« Last Edit: February 19, 2008, 10:56am by Teancum »